Skip to main content
GET
/
api
/
v1
/
runs
/
{id}
/
events
List Run Events
curl --request GET \
  --url https://api.example.com/api/v1/runs/{id}/events \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/runs/{id}/events"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/runs/{id}/events', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "seq": 42,
      "id": "<string>",
      "ts": "2023-11-07T05:31:56Z",
      "run_id": "<string>",
      "event": "stage.started",
      "node_id": "<string>",
      "node_label": "<string>",
      "stage_id": "<string>",
      "parallel_group_id": "<string>",
      "parallel_branch_id": "<string>",
      "session_id": "<string>",
      "parent_session_id": "<string>",
      "tool_call_id": "<string>",
      "actor": {
        "kind": "user",
        "identity": {
          "issuer": "<string>",
          "subject": "<string>"
        },
        "login": "<string>",
        "avatar_url": "<string>"
      },
      "properties": {}
    }
  ],
  "meta": {
    "has_more": true,
    "total": true
  }
}
{
  "errors": [
    {
      "status": "404",
      "title": "Not Found",
      "detail": "Run not found.",
      "code": "access_token_expired",
      "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "leftover_env_keys": [
    "<string>"
  ],
  "removed_env_keys": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Raw dev token passed as Authorization: Bearer fabro_dev_... when server.auth.methods includes dev-token.

Path Parameters

id
string
required

Unique run identifier (ULID).

Query Parameters

since_seq
integer
default:1

First event sequence number to include.

Required range: x >= 1
limit
integer
default:100

Maximum number of events to return.

Required range: 1 <= x <= 1000

Response

Paginated list of run events

Paginated list of stored run events.

data
object[]
required
meta
object
required

Pagination metadata included in every paginated response.